package org.springblade.file.callback;

/**
 *  解压回调接口
 * @author bfhuange
 * @date 2024/11/8
 */
public interface UnzipCallback {
    /**
     *  解压任务的业务编码
     * @return
     */
    String getBizCode();

    /**
     *  回调接口
     * @param bizId 业务id
     * @param event 事件 org.springblade.file.callback.UnzipEventType name
     * @return
     */
    boolean callback(Long bizId, String event);
}
